AX25RTCTL(8)

NAME
ax25rtctl - AX.25 routing control program

SYNOPSIS
ax25rtctl [options]

DESCRIPTION

ax25rtctl is a program to control ax25rtd. There are several options:

-a, --add ax25 <callsign> <dev> <time> [digipeater]
    Add an entry to the AX.25 routing table. If time is "0" this entry will be marked permanent, hence: the daemon will not overwrite this route.

-d, --del ax25 <callsign> <dev>
    Remove an entry from the AX.25 routing table.

-a, --add ip <ip> <dev> <time> <call> <ipmode>
    Add an entry to the IP routing table. If time is "0" the entry will be marked permanent.

-d, --del ip <ip>
    Remove an entry from the IP routing table.

-l, --list ax25
    Lists the content of the cache for the AX.25 routing table.

-l, --list ip
    Lists the content of the cache for the IP routing table.

-e, --expire <minutes>
    Removes the entries older than <minutes> from the caches and the kernel routing tables.

-s, --save
    Saves the AX.25 and IP cache to /var/ax25/ax25rtd/ax25_route and /var/ax25/ax25rtd/ip_route (or the files specified in /etc/ax25/ax25rtd.conf).

-r, --reload
    Reloads the config file /etc/ax25/ax25rtd.conf. This will *not* affect the caches or the heard list.

-q, --shutdown
    Same as 'killall -TERM ax25rtd' ;-)

-V, --version
    Prints version.

Note that you can specify either the port name (as defined in /etc/ax25/axports) or the interface name (shown by ifconfig). If names conflict (i.e. port scc0 is in fact interface scc3, and vica versa), the interface name has precedence over the port name. Example:
   ax25rtctl --add ax25 dl0tha scc3 0 db0pra is equivalent to
   ax25rtctl --add ax25 dl0tha 9k6 0 dbpra All commands return port names in their output, though. With one exception: ax25_route and ip_route use interface names.

FILES
/etc/ax25/ax25rtd.conf

SEE ALSO
ax25rtd.conf(5), ax25rtd(8).

AUTHORS
Joerg Reuter <jreuter@poboxes.com>
Llaus Kudielka OE1KIB